using DbController;
using Tabletop.Core.Models.Abstract;

namespace Tabletop.Core.Models
{
    public class SetupZone : ZoneBase
    {
        [CompareField("setupzone_id")]
        public int SetupZoneId { get; set; }

        public override Dictionary<string, object?> GetParameters()
        {
            var baseParams = base.GetParameters();

            baseParams["SETUPZONE_ID"] = SetupZoneId;

            return baseParams;
        }
    }
}